## class SG_EXPORT osg::HeightField

## Inheritance:

### Public Methods

HeightField()
HeightField(const HeightField& mesh, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void accept(osg::ShapeVisitor& sv)
virtual void accept(osg::ConstShapeVisitor& csv) const
inline unsigned int getNumColumns() const
inline unsigned int getNumRows() const
inline void setOrigin(const osg::Vec3& origin)
inline const osg::Vec3& getOrigin() const
inline void setXInterval(float dx)
inline float getXInterval() const
inline void setYInterval(float dy)
inline float getYInterval() const
virtual float getHeight(unsigned int c, unsigned int r) const = 0
virtual Vec3 getNormal(unsigned int c, unsigned int r) const
inline void setRotation(const Quat& quat)
inline const Quat& getRotation() const
inline Matrix getRotationMatrix() const
inline bool zeroRotation() const

### Protected Fields

unsigned int _columns
unsigned int _rows
osg::Vec3 _origin
float _dx
float _dy
Quat _rotation

### Protected Methods

~HeightField()

### Inherited from Shape:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`HeightField()`

`HeightField(const HeightField& mesh, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual void accept(osg::ShapeVisitor& sv)`

`virtual void accept(osg::ConstShapeVisitor& csv) const`

`inline unsigned int getNumColumns() const`

`inline unsigned int getNumRows() const`

`inline void setOrigin(const osg::Vec3& origin)`

`inline const osg::Vec3& getOrigin() const`

`inline void setXInterval(float dx)`

`inline float getXInterval() const`

`inline void setYInterval(float dy)`

`inline float getYInterval() const`

`virtual float getHeight(unsigned int c, unsigned int r) const = 0`

`virtual Vec3 getNormal(unsigned int c, unsigned int r) const`

`inline void setRotation(const Quat& quat)`

`inline const Quat& getRotation() const`

`inline Matrix getRotationMatrix() const`

`inline bool zeroRotation() const`

`~HeightField()`

`unsigned int _columns`

`unsigned int _rows`

`osg::Vec3 _origin`

`float _dx`

`float _dy`

`Quat _rotation`

Direct child classes:
  Grid

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.